faxtester_state_s Struct Reference

`#include <fax_tester.h>`

## Public Attributes

xmlNodePtr | cur
| Pointer to our current step in the test.
faxtester_flush_handler_t | flush_handler
void * | flush_user_data
faxtester_real_time_frame_handler_t | real_time_frame_handler
| A pointer to a callback routine to be called when frames are exchanged.
void * | real_time_frame_user_data
| An opaque pointer supplied in real time frame callbacks.
faxtester_front_end_step_complete_handler_t | front_end_step_complete_handler
void * | front_end_step_complete_user_data
faxtester_front_end_step_complete_handler_t | front_end_step_timeout_handler
void * | front_end_step_timeout_user_data
const uint8_t * | image_buffer
int | image_len
int | image_ptr
int | image_bit_ptr
int | ecm_frame_size
int | corrupt_crc
int | final_delayed
fax_modems_state_t | modems
int | transmit
int | short_train
| TRUE is the short training sequence should be used.
int | current_rx_type
| The currently select receiver type.
int | current_tx_type
| The currently select transmitter type.
int | wait_for_silence
int | tone_state
int64_t | tone_on_time
int64_t | timer
int64_t | timeout
logging_state_t | logging
| Error and flow logging control.

## Detailed Description

FAX tester descriptor.

## Member Data Documentation

## transmit

int faxtester_state_s::transmit

If TRUE, transmission is in progress

Referenced by faxtester_tx().

The documentation for this struct was generated from the following file:

- fax_tester.h